device_type: dragonboard-410c

job_name: lxc-dragonboard-410c
timeouts:
  job:
    minutes: 120
  action:
    minutes: 15
  connection:
    minutes: 2
priority: medium
visibility: public

metadata:
  source: https://git.linaro.org/lava/lava-lab.git
  path: shared/health-checks/dragonboard-410c.yaml

protocols:
  lava-lxc:
    name: lxc-db410c-test
    template: debian
    distribution: debian
    release: jessie
    arch: amd64
    mirror: http://mirror.bytemark.co.uk/debian
    verbose: true

actions:
- deploy:
    namespace: tlxc
    timeout:
      minutes: 10
    to: lxc
    packages:
    - android-tools-adb
    - android-tools-fastboot
    - systemd
    - systemd-sysv
    os: debian

- boot:
    namespace: tlxc
    prompts:
    - 'root@(.*):/#'
    - 'root@linaro-developer:~#'
    timeout:
      minutes: 5
    method: lxc

- deploy:
    timeout:
      minutes: 40
    to: fastboot
    namespace: droid
    images:
      boot:
        url: http://images-internal/builds.96boards.org/snapshots/dragonboard410c/linaro/debian/305/boot-linaro-buster-dragonboard-410c-305.img.gz
        compression: gz
      rootfs:
        url: http://images-internal/builds.96boards.org/snapshots/dragonboard410c/linaro/debian/305/linaro-buster-developer-dragonboard-410c-305.img.gz
        compression: gz
        apply-overlay: true
    os: debian
    protocols:
        lava-lxc:
        - action: fastboot-deploy
          request: pre-power-command
          timeout:
              minutes: 2


- boot:
    namespace: droid
    prompts:
    - 'root@(.*):/#'
    - 'root@linaro-developer:~#'
    timeout:
      minutes: 15
    method: fastboot
    protocols:
      lava-lxc:
      - action: auto-login-action
        request: pre-os-command
        timeout:
          minutes: 2

- test:
    namespace: droid
    timeout:
      minutes: 10
    definitions:
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-basic.yaml
      name: smoke-tests-db-410c

- test:
    namespace: tlxc
    timeout:
      minutes: 10
    definitions:
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-basic.yaml
      name: smoke-tests-lxc

- test:
    namespace: tlxc
    timeout:
      minutes: 10
    definitions:
    - repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: probe
          description: "check probe"
          os:
          - debian
          scope:
          - functional
        install:
          deps:
          - usbutils
          - git
          - make
        run:
          steps:
          - lava-test-case find_probe --shell ls /dev/serial/by-id/usb-NXP_SEMICOND_ARM_Energy_Probe_S_NO410C0001-if00
      from: inline
      name: find-probe
      path: inline/find-probe.yaml

- test:
    namespace: tlxc
    timeout:
      minutes: 15
    definitions:
    - repository: https://git.linaro.org/lava-team/refactoring.git
      from: git
      path: testdefs/arm-probe.yaml
      name: arm-probe
